Support » Plugin: Responsive Tabs » Great plugin with fast support

  • This plugin has been working flawlessly on one of my websites. As I tried to install it on another, I got the following error when trying to create a new tab:

    Fatal error: Declaration of CMB2_Type_Colorpicker::render() must be compatible with CMB2_Type_Text::render($args = Array) in MYPATH/wp-content/plugins/responsive-tabs/inc/cmb2/includes/types/CMB2_Type_Colorpicker.php on line 13

    UPDATE (a few hours later): The described bug was due to CMB2 being uncompatible with PHP 7.2 (as of mid-December 2017). This will be fixed soon. After switching back to PHP 7.1, the plugin works as expected.

    • This topic was modified 2 years, 1 month ago by johanneseva. Reason: Problem fixed (incompatible PHP version)
Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author WP Darko

    (@spwebguy)

    Hi there,

    If you need help with this you can reach us here:
    http://wpdarko.com/ask-for-support

    You might be experiencing a plugin conflict. Please contact us and we’ll help you solve this.

    Thank you for your feedback.

    Hello, I am the lead developer for the CMB2 plugin, which is a developer’s resource for easily making fields, forms, and metaboxes in the WordPress admin, and is a tool that this plugin developer is using (which is where the issue is coming from). Wanted to respond as I don’t want a known CMB2 issue to affect another developer’s plugin rating, so please consider updating the rating at some point, if this is the primary reason for it. The issue you are having is the result of some incompatible code with PHP 7.2. CMB2 only has the issue you mentioned on 7.2, but will work great on any version below that. This is a known issue, and had already been addressed in the develop (trunk) branch, and will be fixed in the next release, at which point, this plugin author will be able to update the library to address in their plugin.

    Sorry for the confusion and the bugs. I would suggest that you possibly switch your version of php to 7.1 until the bug fix can be rolled out. Thank you for your consideration and understanding.

    Plugin Author WP Darko

    (@spwebguy)

    @jtsternberg Hi Justin, thank you very much for showing up here and letting us know about this. Much appreciated! CMB2 is a great framework, keep up the amazing work.

    @jtsternberg
    Wow, thank you very much for your reply. Good luck updating CMB2 to 7.2 🙂

    Thank you also to WP Darko for their great plugin. Maybe an incompatibility notice with PHP 7.2 on the WP plugin page would be a good idea? Cheers!

    • This reply was modified 2 years, 1 month ago by johanneseva.
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Great plugin with fast support’ is closed to new replies.